summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDave Davenport <qball@gmpclient.org>2014-08-31 09:44:42 +0200
committerDave Davenport <qball@gmpclient.org>2014-08-31 09:44:42 +0200
commitad1cede6f5369467dc03856a9465bc2fd1cbfad9 (patch)
tree4bd18f92b2cdb5ca6b1624426ebf22d32c5a3017
parent45e07bb83ccaf0bb822bf67d04219eb2559c65b7 (diff)
Add dump-xresources to test.
* TODO: validate result.
-rwxr-xr-xtest/run_dmenu_custom_test.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/run_dmenu_custom_test.sh b/test/run_dmenu_custom_test.sh
index 43000f1b..57feb263 100755
--- a/test/run_dmenu_custom_test.sh
+++ b/test/run_dmenu_custom_test.sh
@@ -21,6 +21,7 @@ sleep 0.2
xdotool key Shift+Return
xdotool key Return
+
# Get result, kill xvfb
wait ${RPID}
RETV=$?
@@ -29,4 +30,11 @@ if [ "${OUTPUT}" != 'coffee coffee ' ]
then
exit 1
fi
+
+OUTPUT=$(rofi -dump-xresources)
+if [ -z "${OUTPUT}" ]
+then
+ exit 1
+fi
+
exit ${RETV}